Scilab Function

xstringl - calcule les dimensions d'une boîte entourant des chaînes de caractères

### Calling Sequence

  `rect=xstringl(x,y,str)`

### Parameters

- `rect` : vecteur de 4 scalaires définissant la boîte
- `x,y` : scalaires réels, coordonnées du point en bas à gauche des chaînes de caractères.
- `str` : matrice de chaînes de caractères.

### Description

`xstringl` renvoie dans `rect=[x,y,w,h]` (point en haut à gauche, largeur, hauteur) les dimensions d'un rectangle dans l'échelle graphique courante entourant les chaînes de caractères `str` dessinées à la position `x,y` (point en bas à gauche).

Le résultat est approximatif avec le pilote PostScript.

### Examples

    plot2d([0;1],[0;1],0)
    str=["Scilab" "n''est ";"pas" "Matlab"];
    r=xstringl(0.5,0.5,str)
    xrects([r(1) r(2)+r(4) r(3) r(4)]')
    xstring(r(1),r(2),str)

### See Also

`titlepage` , `xstring` , `xstringl` , `xtitle` ,

### Author

J.Ph.C.